summaryrefslogtreecommitdiffstats
path: root/source/xap
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-08-11 05:01:49 +0000
committer Eric Hameleers <alien@slackware.com>2018-08-11 15:00:29 +0200
commite09f106df1bc2da6318f310762e9d596bd9a6880 (patch)
treec7eece96afa01aaa005f79b71fd40859702aae61 /source/xap
parentcc59e5e82c942adec962972f51c9818f1d1cc185 (diff)
downloadcurrent-e09f106df1bc2da6318f310762e9d596bd9a6880.tar.gz
current-e09f106df1bc2da6318f310762e9d596bd9a6880.tar.xz
Sat Aug 11 05:01:49 UTC 201820180811050149
xap/mozilla-thunderbird-60.0-x86_64-2.txz: Rebuilt. Applied upstream patch to fix crash with folder name with special characters. Thanks to Karl Magnus Kolstø for the bug report and link to the patch.
Diffstat (limited to 'source/xap')
-rw-r--r--source/xap/mozilla-thunderbird/80754eac380932
-rwxr-xr-xsource/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild7
2 files changed, 38 insertions, 1 deletions
diff --git a/source/xap/mozilla-thunderbird/80754eac3809 b/source/xap/mozilla-thunderbird/80754eac3809
new file mode 100644
index 000000000..c38efb653
--- /dev/null
+++ b/source/xap/mozilla-thunderbird/80754eac3809
@@ -0,0 +1,32 @@
+
+# HG changeset patch
+# User Magnus Melin <mkmelin+mozilla@iki.fi>
+# Date 1533928828 -10800
+# Node ID 80754eac3809bff2f8fe4ea05bd16dbaf3dfe1a7
+# Parent 020481090e4e241e345f92410688c9f81e543911
+Bug 1482248 - don't crash on empty file name in nsMsgLocalStoreUtils::nsShouldIgnoreFile. r=jorgk
+
+diff --git a/mailnews/local/src/nsMsgLocalStoreUtils.cpp b/mailnews/local/src/nsMsgLocalStoreUtils.cpp
+--- a/mailnews/local/src/nsMsgLocalStoreUtils.cpp
++++ b/mailnews/local/src/nsMsgLocalStoreUtils.cpp
+@@ -23,16 +23,19 @@ nsMsgLocalStoreUtils::AddDirectorySepara
+ path->GetLeafName(leafName);
+ leafName.AppendLiteral(FOLDER_SUFFIX);
+ return path->SetLeafName(leafName);
+ }
+
+ bool
+ nsMsgLocalStoreUtils::nsShouldIgnoreFile(nsAString& name)
+ {
++ if (name.IsEmpty())
++ return true;
++
+ char16_t firstChar = name.First();
+ if (firstChar == '.' || firstChar == '#' ||
+ name.CharAt(name.Length() - 1) == '~')
+ return true;
+
+ if (name.LowerCaseEqualsLiteral("msgfilterrules.dat") ||
+ name.LowerCaseEqualsLiteral("rules.dat") ||
+ name.LowerCaseEqualsLiteral("filterlog.html") ||
+
diff --git a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
index fa0d4c022..3f7b39992 100755
--- a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
+++ b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
@@ -30,7 +30,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mozilla-thunderbird
VERSION=$(basename $(ls thunderbird-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev) .source)
RELEASEVER=$(echo $VERSION | cut -f 1 -d e | cut -f 1 -d b)
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Specify this variable for a localized build.
# For example, to build a version of Thunderbird with Italian support, run
@@ -161,6 +161,11 @@ cd thunderbird-$RELEASEVER || exit 1
# Retain GTK+ v2 scrolling behavior:
zcat $CWD/tb.ui.scrollToClick.diff.gz | patch -p2 --verbose || exit 1
+# Fix crash with 60.0:
+( cd comm
+ zcat $CWD/80754eac3809.gz | patch -p1 --verbose || exit 1
+)
+
# Fetch localization, if requested:
if [ ! -z $MOZLOCALIZE ]; then
LOC_TAG="THUNDERBIRD_$( echo $VERSION | tr \. _ )_RELEASE"